Package org.gradle.api.reporting.plugins

# Class BuildDashboardPlugin

java.lang.Object
org.gradle.api.reporting.plugins.BuildDashboardPlugin

All Implemented Interfaces:
  `Plugin<Project>`

@Incubating public class BuildDashboardPlugin extends Object implements Plugin<Project>
Adds a task, "buildDashboard", that aggregates the output of all tasks that produce reports.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`BUILD_DASHBOARD_TASK_NAME`

## Constructor Summary

Constructors
Constructor
Description
`BuildDashboardPlugin()`

## Method Summary

Modifier and Type
Method
Description
`void`
`apply(Project project)`
Apply this plugin to the given target object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### BUILD_DASHBOARD_TASK_NAME

public static final String BUILD_DASHBOARD_TASK_NAME

See Also:
  - Constant Field Values

## Constructor Details

### BuildDashboardPlugin

public BuildDashboardPlugin()

## Method Details

### apply

public void apply(Project project)
Description copied from interface: `Plugin`
Apply this plugin to the given target object.

Specified by:
  `apply` in interface `Plugin<Project>`
Parameters:
  `project` - The target object